<template>
	<div>
		<highcharts :options="options"></highcharts>
	</div>
</template>

<script>
import { Chart } from "highcharts-vue";

export default {
	name: "material-chart-component",
	components: {
		highcharts: Chart,
	},
	props: ["series"],
	// props: {
	// 	series: {
	// 		type: Array,
	// 		required: true,
	// 	},
	// 	categories: {
	// 		type: Array,
	// 		required: true,
	// 	},
	// },
	computed: {
		options() {
			return {
				chart: {
					type: "column",
					height: 250,
				},
				credits: false,
				title: {
					text: "Material",
				},
				xAxis: {
					categories: this.series.xAxis,
				},
				yAxis: [
					{
						max: 100,
						tickInterval: 10,
						title: {
							text: "Load cell (kg)",
							align: "high",
							y: -30,
							x: 0,
							offset: -30,
							rotation: 0,
						},
						min: 0,
						alignTicks: false,
						stackLabels: {
							enabled: true,
							style: {
								fontWeight: "bold",
							},
						},
						opposite: false,
					},
				],
				legend: {
					align: "right",
					x: -30,
					verticalAlign: "bottom",
					y: 15,
					backgroundColor: "white",
					borderColor: "#CCC",
					borderWidth: 1,
					shadow: false,
				},
				tooltip: {
					headerFormat: "<b>{point.x}</b><br/>",
					pointFormat: "{series.name}: {point.y}<br/>Total: {point.stackTotal}",
				},
				plotOptions: {
					column: {
						stacking: "normal",
					},
				},
				series: this.series,
			};
		},
	},
};
</script>
